org.apache.synapse.transport.nhttp.config

## Class ServerConnFactoryBuilder

- java.lang.Object
- - org.apache.synapse.transport.nhttp.config.ServerConnFactoryBuilder

- Direct Known Subclasses:
    SSLServerConnFactoryBuilder

      public class ServerConnFactoryBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SSLContextDetails` | `ssl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerConnFactory` | `build(org.apache.http.params.HttpParams params)`
    `protected SSLContextDetails` | `createSSLContext(org.apache.axiom.om.OMElement keyStoreEl, org.apache.axiom.om.OMElement trustStoreEl, org.apache.axiom.om.OMElement cientAuthEl, org.apache.axiom.om.OMElement httpsProtocolsEl, org.apache.axiom.om.OMElement preferredCiphersEl, RevocationVerificationManager verificationManager, String sslProtocol)`
    `org.apache.axis2.description.TransportInDescription` | `loadMultiProfileSSLConfig()` Loads MultiProfileSSLConfiguration when the configuration is in a different file than axis2.xml.
    `ServerConnFactoryBuilder` | `parseMultiProfileSSL()`
    `ServerConnFactoryBuilder` | `parseSSL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ssl

          protected SSLContextDetails ssl

  - ### Constructor Detail

    - #### ServerConnFactoryBuilder

          public ServerConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn,
                                          org.apache.http.HttpHost host)

  - ### Method Detail

    - #### createSSLContext

          protected SSLContextDetails createSSLContext(org.apache.axiom.om.OMElement keyStoreEl,
                                                       org.apache.axiom.om.OMElement trustStoreEl,
                                                       org.apache.axiom.om.OMElement cientAuthEl,
                                                       org.apache.axiom.om.OMElement httpsProtocolsEl,
                                                       org.apache.axiom.om.OMElement preferredCiphersEl,
                                                       RevocationVerificationManager verificationManager,
                                                       String sslProtocol)
                                                throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### parseSSL

          public ServerConnFactoryBuilder parseSSL()
                                            throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### parseMultiProfileSSL

          public ServerConnFactoryBuilder parseMultiProfileSSL()
                                                        throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### loadMultiProfileSSLConfig

          public org.apache.axis2.description.TransportInDescription loadMultiProfileSSLConfig()

      Loads MultiProfileSSLConfiguration when the configuration is in a different file than axis2.xml. If the configuration file path is in axis2.xml and its successfully loaded, it will be added to transportIn as "SSLProfiles" parameter or else if it isn't loaded it will return null.
      Returns:

    - #### build

          public ServerConnFactory build(org.apache.http.params.HttpParams params)
                                  throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.